Ocena wątku:
  • 0 głosów - średnia: 0
  • 1
  • 2
  • 3
  • 4
  • 5
instalacja sterowników amdgpu
#1
0
Witam,
Posiadam aktualnie Mint'a 20.2, kernel 5.11.0-41-lowlatency
Mam taki problem, 
robię już któreś podejście do instalacji amdgpu ze strony amd (amdgpu-pro-20.20-1098277-ubuntu-20.04) no i wywala się przy budowaniu modułłów na DKMS'ie


Kod:
Loading new amdgpu-5.6.0.15-1098277 DKMS files...
Building for 5.11.0-41-lowlatency
Building for architecture amd64
Building initial module for 5.11.0-41-lowlatency
Error! Bad return status for module build on kernel: 5.11.0-41-lowlatency (amd64)
Consult /var/lib/dkms/amdgpu/5.6.0.15-1098277/build/make.log for more information.
dpkg: error processing package amdgpu-dkms (--configure):
installed amdgpu-dkms package post-installation script subprocess returned error exit status 10
dpkg: dependency problems prevent configuration of amdgpu:
amdgpu depends on amdgpu-dkms (= 1:5.6.0.15-1098277); however:
  Package amdgpu-dkms is not configured yet.

dpkg: error processing package amdgpu (--configure):
dependency problems - leaving unconfigured
Setting up xserver-xorg-amdgpu-video-amdgpu (1:19.1.0-1098277) ...
Setting up mesa-amdgpu-omx-drivers:amd64 (1:20.0.5-1098277) ...
Setting up libegl1-amdgpu-mesa:amd64 (1:20.0.5-1098277) ...
Setting up libegl1-amdgpu-mesa:i386 (1:20.0.5-1098277) ...
Setting up libgl1-amdgpu-mesa-glx:amd64 (1:20.0.5-1098277) ...
Setting up libgl1-amdgpu-mesa-glx:i386 (1:20.0.5-1098277) ...
Setting up libgles2-amdgpu-mesa:amd64 (1:20.0.5-1098277) ...
Setting up libgles2-amdgpu-mesa:i386 (1:20.0.5-1098277) ...
Setting up libgl1-amdgpu-mesa-dri:amd64 (1:20.0.5-1098277) ...
ln: failed to create symbolic link '/opt/amdgpu/lib/x86_64-linux-gnu/dri/i965_dri.so': File exists
dpkg: error processing package libgl1-amdgpu-mesa-dri:amd64 (--configure):
installed libgl1-amdgpu-mesa-dri:amd64 package post-installation script subprocess returned error exit status 1
Setting up libgl1-amdgpu-mesa-dri:i386 (1:20.0.5-1098277) ...
Setting up libosmesa6-amdgpu:amd64 (1:20.0.5-1098277) ...
Setting up libosmesa6-amdgpu:i386 (1:20.0.5-1098277) ...
Setting up gst-omx-amdgpu (1.0.0.1-1098277) ...
dpkg: dependency problems prevent configuration of amdgpu-lib:
amdgpu-lib depends on libgl1-amdgpu-mesa-dri (= 1:20.0.5-1098277); however:
  Package libgl1-amdgpu-mesa-dri:amd64 is not configured yet.

dpkg: error processing package amdgpu-lib (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of amdgpu-lib32:
amdgpu-lib32 depends on amdgpu-lib (= 20.20-1098277) | amdgpu-lib-hwe (= 20.20-1098277); however:
  Package amdgpu-lib is not configured yet.
  Package amdgpu-lib-hwe is not installed.

dpkg: error processing package amdgpu-lib32 (--configure):
dependency problems - leaving unconfigured
Setting up libegl1-amdgpu-mesa-drivers:amd64 (1:20.0.5-1098277) ...
Setting up libegl1-amdgpu-mesa-drivers:i386 (1:20.0.5-1098277) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for libc-bin (2.31-0ubuntu9.2) ...
Errors were encountered while processing:
amdgpu-dkms
amdgpu
libgl1-amdgpu-mesa-dri:amd64
amdgpu-lib
amdgpu-lib32

Nie wiem co ja robię nie tak - mogę prosić o jakieś sugestie jak to powinienem instalować ?
Odpowiedz
#2
0
Cześć
Na AMD znam się jak świnia na gwiazdach Wink ale to może mieć sens: https://github.com/pop-os/pop/issues/113...-656894594

Oczywiście zamiast "gedit"... eee... co tam jest w KDE?
Mint KDE?
Odpowiedz
#3
0
Cytat:Consult /var/lib/dkms/amdgpu/5.6.0.15-1098277/build/make.log for more information.
Odpowiedz
#4
0
@dedito - akurat czytałem logi z make i nic tam nie znalazłem
@yahoob3 - bardzo Ci dziękuję - rozwiązałeś mój problem,

akurat w moim przypadku instalowałem sterowniki AMD'ka jako DKMS i to się wywalało, próbowałem z opcją --no-dkms ale nie wiedziałem o jednej rzeczy.
w katalogu /etc/modprobe.d/ radeon był w sekcji blacklist dlatego to nie szło.
wywaliłem wpis blacklisty z radeonem, przeinstalowałem x-server:
Kod:
apt install --reinstall xserver-xorg-video-radeon
zainstalowałem sterowniki amd'ka : ./amdgpu-install --no-dkms
no i generalnie poszło, bez żadnych błędów - czyli jak gdyby chyba się zainstalowało.

Jednak zastanawia mnie wpis z sekcji 'lspci | grep VGA'

Kod:
[email protected]:/# lspci | grep VGA
05:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Picasso (rev c2)
05:00.7 Non-VGA unclassified device: Advanced Micro Devices, Inc. [AMD] Raven/Raven2/Renoir Non-Sensor Fusion Hub KMDF driver

pokazuje że z jednej strony niby jest zainstalowany a z drugiej strony nie jest - pytanie czy tak powinno być ?
Odpowiedz
#5
0
Pokaż wynik inxi -Gxx.
Odpowiedz
#6
0
wygląda na to że chyba jest oK


Kod:
Graphics:  Device-1: Advanced Micro Devices [AMD/ATI] Picasso vendor: Hewlett-Packard driver: amdgpu v: kernel bus ID: 05:00.0
          chip ID: 1002:15d8
          Display: x11 server: X.Org 1.20.13 driver: amdgpu,modesetting FAILED: ati unloaded: fbdev,vesa compositor: kwin_x11
          resolution: 2560x1440~60Hz
          OpenGL: renderer: AMD RAVEN (DRM 3.40.0 5.11.0-41-lowlatency LLVM 10.0.0) v: 4.6 Mesa 20.0.5 direct render: Yes
Odpowiedz
#7
0
Jeśli dobrze rozumiem to, co piszą tu: https://forum.endeavouros.com/t/is-endea.../29?page=2
To to "FAILED" można olać... ale z moim angielskim nie jestem pewien.
Odpowiedz


Skocz do:




Użytkownicy przeglądający ten wątek: 1 gości